Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.io.parser.gen
Class TermParserTokenManager

    java.lang.Object
      gnu.prolog.io.parser.gen.TermParserTokenManager

All Implemented Interfaces:
  TermParserConstants

    public class TermParserTokenManager

extends Object
implements TermParserConstants

Field Summary
`protected char` | `curChar`
`static String[]` | `jjstrLiteralImages`
`static String[]` | `lexStateNames`

Fields inherited from interface gnu.prolog.io.parser.gen.TermParserConstants
`ALPHA_CHAR, ALPHA_NUMERIC_CHAR, ANONYMOUS_VARIABLE, BACK_QUOTE_CHAR, BACK_QUOTED_CHAR, BACK_QUOTED_ITEM, BACK_QUOTED_STRING, BACKSLASH_CHAR, BINARY_CONSTANT, BINARY_DIGIT_CHAR, BRACKETED_COMMENT, CAPITAL_LETTER_CHAR, CHAR_CODE_LIST_TOKEN, CHARACTER_CODE_CONSTANT, CHARARCTER, CLOSE_CHAR, CLOSE_CURLY_CHAR, CLOSE_CURLY_TOKEN, CLOSE_LIST_CHAR, CLOSE_LIST_TOKEN, CLOSE_TOKEN, COMMA_CHAR, COMMA_TOKEN, COMMENT, CONTINUATION_ESCAPE_SEQUENCE, CONTROL_ESCAPE_SEQUENCE, CUT_CHAR, CUT_TOKEN, DECIMAL_DIGIT_CHAR, DEFAULT, DOUBLE_QUOTE_CHAR, DOUBLE_QUOTED_CHAR, DOUBLE_QUOTED_ITEM, END_CHAR, END_LINE_COMMENT_CHAR, END_TOKEN, EOF, EXPONENT, FLOAT_NUMBER_TOKEN, FRACTION, GRAPHIC_CHAR, GRAPHIC_CHAR_PERIOD, GRAPHIC_TOKEN, GRAPHIC_TOKEN_CHAR, HEAD_TAIL_SEPARATOR_CHAR, HEAD_TAIL_SEPARATOR_TOKEN, HEXADECIMAL_CONSTANT, HEXADECIMAL_DIGIT_CHAR, HEXADECIMAL_ESCAPE_SEQUENCE, IDENTIFIER_TOKEN, INTEGER_CONSTANT, INTEGER_TOKEN, LAYOUT_CHAR, LAYOUT_TEXT, LAYOUT_TEXT_SEQUENCE, LETTER_CHAR, META_CHAR, META_ESCAPE_SEQUENCE, NAME_TOKEN, NAMED_VARIABLE, NEW_LINE_CHAR, NON_QUOTE_CHAR, OCTAL_CONSTANT, OCTAL_DIGIT_CHAR, OCTAL_ESCAPE_SEQUENCE, OPEN_CHAR, OPEN_CURLY_CHAR, OPEN_CURLY_TOKEN, OPEN_LIST_CHAR, OPEN_LIST_TOKEN, OPEN_TOKEN, QUOTED_TOKEN, SEMICOLON_CHAR, SEMICOLON_TOKEN, SINGLE_LINE_COMMENT, SINGLE_QUOTE_CHAR, SINGLE_QUOTED_CHAR, SINGLE_QUOTED_ITEM, SMALL_LETTER_CHAR, SOLO_CHAR, SPACE_CHAR, SYMBOLIC_ALERT_CHAR, SYMBOLIC_BACKSPACE_CHAR, SYMBOLIC_CARRIAGE_RETURN_CHAR, SYMBOLIC_CONTROL_CHAR, SYMBOLIC_FORM_FEED_CHAR, SYMBOLIC_HEXADECIMAL_CHAR, SYMBOLIC_HORIZONTAL_TAB_CHAR, SYMBOLIC_NEW_LINE_CHAR, SYMBOLIC_VERTICAL_TAB_CHAR, tokenImage, UNDERSCORE_CHAR, VARIABLE_INDICATOR_CHAR, VARIABLE_TOKEN`

Constructor Summary
`TermParserTokenManager(CharStream stream)`
`TermParserTokenManager(CharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`void` | `ReInit(CharStream stream)`
`void` | `ReInit(CharStream stream, int lexState)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### curChar

    protected char curChar

Constructor Detail

### TermParserTokenManager

    public TermParserTokenManager(CharStream stream)

### TermParserTokenManager

    public TermParserTokenManager(CharStream stream,
                                  int lexState)

Method Detail

### ReInit

    public void ReInit(CharStream stream)

### ReInit

    public void ReInit(CharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD